
dofile("Base.rte/Constants.lua")
dofile("SpaceMarines.rte/Scripts/AI/NativeAssaultAI.lua")

function Create(self)

	self.enableselect = true;
	self.prevHealth = 44;
	self.AI = NativeAssaultAI:Create(self)
end

function Update(self)
	if self:IsPlayerControlled() == true then
		if self.enableselect == true then
			self.selected = CreateAEmitter("Marine Select")
			self.selected.Pos = self.Pos
			self.selected.PinStrength = 1000
			MovableMan:AddParticle(self.selected);
			self.enableselect = false
		end
	else
		self.enableselect = true
	end

	self:MoveOutOfTerrain(-1);

	health = self.Health;
	
	if health < 45 then

	if health < self.prevHealth then
		local rand = math.random(0,10)
		if rand > (7 - self.Sharpness) then
			self.Health = self.prevHealth; --FEEL NO PAIN
		else
			self.prevHealth = health;
		end
	end
	end

end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	if MovableMan:IsActor(self) == true then
		self.AngularVel = 0;
	end
end