
dofile("Base.rte/Constants.lua")
dofile("SpaceMarines.rte/Scripts/AI/NativeSpaceMarineAI.lua")

function Create(self)

	self.enableselect = true;
	self.prevHealth = 34;


	self.c = self:GetController();
	self.WTime = Timer();

	self.AI = NativeSpaceMarineAI:Create(self)
end

function Update(self)
	if self:IsPlayerControlled() == true then
		if self.enableselect == true then
			self.selected = CreateAEmitter("Scout Select")
			self.selected.Pos = self.Pos
			self.selected.PinStrength = 1000
			MovableMan:AddParticle(self.selected);
			self.enableselect = false
		end
	else
		self.enableselect = true
	end

self:MoveOutOfTerrain(-1);


	self.c:SetState(9,false);

if self.c:IsState(3) or self.c:IsState(4) or self.c:IsState(10) or self.c:IsState(5) then

if self.WTime:IsPastSimMS(60) then
	self.WTime:Reset();

   local rotangle = self.RotAngle;
   if rotangle > -0.15 and rotangle < 0.15 then

	local alt = 23;
	if self.FGLeg ~= nil and self.BGLeg ~= nil then
		if self.c:IsState(3) or self.c:IsState(4) then
			alt = 25;
		else
			alt = 23;
		end
		
		if SceneMan.SceneWidth > self.Pos.X+12 and 0 < self.Pos.X-12 then
			self.dx = 12;
			if self.Vel.X < 0 then
				self.dx = -12;
			end
			if math.abs(self.Vel.X) < 1 then
				self.dx = 0;
			end
		else
			self.dx = 0;
		end	

		if not self.c:IsState(10) and not self.c:IsState(5) and self.Health > 0 then

			self.ray = SceneMan:CastObstacleRay(self.Pos, Vector(0,alt*1.5), Vector(), Vector(), self.ID, self.Team,128, 0);
			if self.ray > 0 then
				if math.abs(self.Vel.Y) < 5 then
					local ray = SceneMan:CastObstacleRay(Vector(self.Pos.X+self.dx, self.Pos.Y) , Vector(0,alt*1.5) , Vector() , Vector(), self.ID ,self.Team, 128 , 0);
					if ray <=0 then
						ray = ((2*alt)/3);
					end
					local ray = (ray)
					if math.abs(alt-ray) < 15 then
						self.Vel.Y = self.Vel.Y-(0.25*(alt-ray));
					end
				end
				if self.c:IsState(3) and self.Vel.X < 6 then
					self.Vel.X = self.Vel.X+1.2;
				elseif self.c:IsState(4) and self.Vel.X > -6 then
					self.Vel.X = self.Vel.X-1.2;
				end
		   end
		end

		self.Vel.Y = 0.9925*self.Vel.Y;
		self.AngularVel = 0.95*self.AngularVel;

	end	
   end		
end

end



	health = self.Health;
	
	if health < 35 and health > 0 then

	if health < self.prevHealth then
		local rand = math.random(0,10)
		if rand > (9 - self.Sharpness) then
			self.Health = self.prevHealth; --FEEL NO PAIN
		else
			self.prevHealth = health;
		end
	end
	end
		

end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	if MovableMan:IsActor(self) == true then
		self.AngularVel = 0;
	end
end