
dofile("Base.rte/Constants.lua")
dofile("SpaceMarines.rte/Scripts/AI/NativeSpaceMarineAI.lua")

function Create(self)

	self.enableselect = true;
	self.prevHealth = 44;
	self.AI = NativeSpaceMarineAI:Create(self)

	self.WTime = Timer();
end

function Update(self)
	if self:IsPlayerControlled() == true then
		if self.enableselect == true then
			self.selected = CreateAEmitter("Marine Select")
			self.selected.Pos = self.Pos
			self.selected.PinStrength = 1000
			MovableMan:AddParticle(self.selected);
			self.enableselect = false
		end
	else
		self.enableselect = true
	end

self:MoveOutOfTerrain(-1);

	health = self.Health;
	
	if health < 45 and health > 0 then

	if health < self.prevHealth then
		local rand = math.random(0,10)
		if rand > (7 - self.Sharpness) then
			self.Health = self.prevHealth; --FEEL NO PAIN
		else
			self.prevHealth = health;
		end
	end
	end

--WALK SCRIPT
	local con = self:GetController();
	con:SetState(9,false);


if con:IsState(3) or con:IsState(4) or con:IsState(10) or con:IsState(5) then


if self.WTime:IsPastSimMS(40) then
	self.WTime:Reset();

   local rotangle = self.RotAngle;
   if rotangle > -0.15 and rotangle < 0.15 then

	local alt = 24;
	if self.FGLeg ~= nil and self.BGLeg ~= nil then
		if con:IsState(3) or con:IsState(4) then
			alt = 26;
		else
			alt = 24;
		end
		
		local dx = 12
		if SceneMan.SceneWidth > self.Pos.X+12 and 0 < self.Pos.X-12 then
			dx = 12;
			if self.Vel.X < 0 then
				dx = -12;
			end
			if math.abs(self.Vel.X) < 1 then
				dx = 0;
			end
		else
			dx = 0;
		end	

		if not con:IsState(10) and not con:IsState(5) then

			local ray = SceneMan:CastObstacleRay(self.Pos, Vector(0,alt*1.5), Vector(), Vector(), self.ID, self.Team,128, 0);
			if ray > 0 then
				if math.abs(self.Vel.Y) < 5 then
					ray = SceneMan:CastObstacleRay(Vector(self.Pos.X+dx, self.Pos.Y) , Vector(0,alt*1.5) , Vector() , Vector(), self.ID ,self.Team, 128 , 0);
					if ray <=0 then
						ray = ((2*alt)/3);
					end
					if math.abs(alt-ray) < 15 then
						self.Vel.Y = self.Vel.Y-(0.25*(alt-ray));
					end
				end
				if con:IsState(3) and self.Vel.X < 4 then
					self.Vel.X = self.Vel.X+1.05;
				elseif con:IsState(4) and self.Vel.X > -4 then
					self.Vel.X = self.Vel.X-1.05;
				end
		   end
		end

		self.Vel.Y = 0.9925*self.Vel.Y;
		self.AngularVel = 0.95*self.AngularVel;

	end	
   end		
end

end
--END WALK SCRIPT
		

end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	if MovableMan:IsActor(self) == true then
		self.AngularVel = 0;
	end
end