function Create(self)
	self.LifeTimer = Timer();
	self.StunTimer = Timer();
	self.SpazTimer = Timer();
	self.FlashTimer = Timer();
	self.target = nil;
	self.stickpositionX = 0;
	self.stickpositionY = 0;
	self.stickrotation = 0;
	self.stickdirection = 0;
	self.startflipped = false;

	self.stundelay = 500; -- delay before stunning (MS)
	self.stuntime = 1000; -- how long target is stunned (MS)
	self.hit = 0

end

function Update(self)

   if self.target == nil then
    if self.LifeTimer:IsPastSimMS(750) then
	self.ToDelete = true;
    end
	self.stickobject = SceneMan:CastMORay(self.Pos,Vector(5,0):RadRotate(self.RotAngle),255,self.Team,0,false,0);
    if self.stickobject ~= 255 then
	self.target = MovableMan:GetMOFromID(self.stickobject);
	self.stickpositionX = self.Pos.X-self.target.Pos.X;
	self.stickpositionY = self.Pos.Y-self.target.Pos.Y;
	self.stickrotation = self.target.RotAngle;
	self.stickdirection = self.RotAngle;
	self.startflipped = self.target.HFlipped;
	self.StunTimer:Reset();
    end
   elseif self.target ~= nil and self.target.ID ~= 255 then
	self.ToDelete = false;
	self.ToSettle = false;
	self.Pos = self.target.Pos + Vector(self.stickpositionX,self.stickpositionY):RadRotate(self.target.RotAngle-self.stickrotation);
	self.RotAngle = self.stickdirection+(self.target.RotAngle-self.stickrotation);
	self.Vel = Vector(0,0);
	self.PinStrength = 1000;

	self.actor = MovableMan:GetMOFromID(self.target.RootID);





    if MovableMan:IsActor(self.actor) then
     if self.LifeTimer:IsPastSimMS(self.stuntime) then
	self.ToSettle = true;
     end


     if self.FlashTimer:IsPastSimMS(395) then
	self.FlashTimer:Reset();

	local randx = math.random(-10,10);
	local randy = math.random(-10,10);
      local FlameBall = CreateMOSRotating("Flame Ball 1", "Base.rte")
      FlameBall.Vel = self.actor.Vel      
      FlameBall.Pos.X = self.actor.Pos.X + randx
      FlameBall.Pos.Y = self.actor.Pos.Y + randy
      MovableMan:AddParticle(FlameBall)

      local FirePuff = CreateMOSParticle("Fire Puff Small", "Base.rte")
      FirePuff.Vel = self.actor.Vel      
      FirePuff.Pos.X = self.actor.Pos.X + randx
      FirePuff.Pos.Y = self.actor.Pos.Y + randy
      MovableMan:AddParticle(FirePuff)


     if self.hit <= 2 then

	if ToActor(self.actor).Health < 3 then
		ToActor(self.actor).Health = 0
		self.ToDelete = true;
	end
		ToActor(self.actor).Health = ToActor(self.actor).Health - 1;

     else
		self.ToDelete = true;
     end

	self.hit = self.hit + 1;


     end
    end
	
 
   elseif self.target ~= nil and self.target.ID == 255 then
	self:GibThis();
   end

end