
dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeCrabAI")	--dofile("Base.rte/Actors/AI/NativeCrabAI.lua")

function Create(self)

	self.Frame = 2;
	self.c = self:GetController();
	self.setalt = 7; --5; --75; --58;	

	--self.cargoOffset = Vector(-57, -26);
	self.cargoOffset = Vector(-55, -28);
	self.cargo = nil;
	if self.PresetName == "Ultramarines Razorback" then
		self.cargo = CreateACRocket("Rhino APC Storage UM", "SpaceMarines.rte");
	else
		self.cargo = CreateACRocket("Rhino APC Storage", "SpaceMarines.rte");
	end
	self.cargo.Pos = self.Pos + self.cargoOffset;
	MovableMan:AddActor(self.cargo);

	self.AI = NativeCrabAI:Create(self)
end


function Update(self)

	self.Frame = 2;

	if self:IsPlayerControlled() == false then
		self:SetControllerMode(Controller.CIM_NETWORK, -1); 
	end 

self:MoveOutOfTerrain(-0.5);

	--propulsion, stabilisation

	
		local terrcheck = Vector(0,0);


		local groundray = SceneMan:CastStrengthRay(self.Pos + Vector(-67,0):RadRotate(self.RotAngle),Vector(0,5):RadRotate(self.RotAngle),0,terrcheck,1,0,true);
		local groundray2 = SceneMan:CastStrengthRay(self.Pos + Vector(-80,0):RadRotate(self.RotAngle),Vector(0,5):RadRotate(self.RotAngle),0,terrcheck,1,0,true);
		local groundray3 = SceneMan:CastStrengthRay(self.Pos + Vector(67,0):RadRotate(self.RotAngle),Vector(0,5):RadRotate(self.RotAngle),0,terrcheck,1,0,true);
		local groundray4 = SceneMan:CastStrengthRay(self.Pos + Vector(80,0):RadRotate(self.RotAngle),Vector(0,5):RadRotate(self.RotAngle),0,terrcheck,1,0,true);

		if (groundray == true and self.HFlipped == true) or (groundray2 == true and self.HFlipped == true) then
			self.RotAngle = self.RotAngle - 0.005;
		else
			self.RotAngle = self.RotAngle + 0.0002;
		end
		if (groundray3 == true and self.HFlipped == false) or (groundray4 == true and self.HFlipped == false) then
			self.RotAngle = self.RotAngle + 0.005;
		else
			self.RotAngle = self.RotAngle - 0.0002;
		end
	
	self.alt = self:GetAltitude(0,1);
	
	if self.alt < self.setalt and self.Vel.Y > -5 then
		self.Vel.Y = self.Vel.Y - 0.5;
	end
	
	if self.Vel.Y > 1 then	
		self.Vel.Y = self.Vel.Y - 0.05;
	end
	self.Vel.Y = 0.985*self.Vel.Y;
	
	
	if self.Vel.X < 8 and self.c:IsState(3) then
		self.Vel.X = self.Vel.X + (math.cos(self.RotAngle) * 0.1);
		self.Vel.Y = self.Vel.Y - (math.sin(self.RotAngle) * 0.1);
	elseif self.Vel.X > -8 and self.c:IsState(4) then
		self.Vel.X = self.Vel.X - (math.cos(self.RotAngle) * 0.1);
		self.Vel.Y = self.Vel.Y + (math.sin(self.RotAngle) * 0.1);
 	else
 	    self.Vel.X = self.Vel.X*0.80;
	end
	


	if self:IsPlayerControlled() and UInputMan:KeyHeld(24) then
		self.RotAngle = self.RotAngle - 0.1;
		if self.AngularVel > 30 then
			self.angularVel = self.AngularVel - 3;
		end
		if self.angularVel < -30 then
			self.AngularVel = self.AngularVel + 3;
		end
	end



	if self:IsPlayerControlled() and UInputMan:KeyHeld(26) then
		self.RotAngle = self.RotAngle + 0.1;
		if self.AngularVel > 30 then
			self.angularVel = self.AngularVel - 3;
		end
		if self.angularVel < -30 then
			self.AngularVel = self.AngularVel + 3;
		end
	end

		--maintain cargo section
  if MovableMan:IsActor(self.cargo) then
		self.cargo.Pos = (self.Pos + self:RotateOffset(Vector(-55, -19)));

	self.cargo.RotAngle = self.RotAngle;
	self.cargo.Vel = Vector(0,0);
	self.cargo:NotResting();
	self.cargo.Age = 0;
	self.cargo.HFlipped = self.HFlipped;
	self.cargo.ToSettle = false;
  else
	--self.cargo = CreateACRocket("Rhino APC Storage", "SpaceMarines.rte");
	self.cargo.Pos = (self.Pos + self:RotateOffset(Vector(-55, -19)));
	MovableMan:AddActor(self.cargo);
  end
--END METER

end


function UpdateAI(self)
	self.AI:Update(self)
end
