function Create(self)     
end

function Update(self)

	    self.Vel.X = self.Vel.X * 1.05;
        self.Vel.Y = self.Vel.Y * 1.05;
	
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	for i = 1, math.floor(self.Vel.Magnitude*0.04) do
			local Effect = CreateMOSParticle("Tiniest Smoke Trail " .. math.random(3), "SpaceMarines.rte")
			Effect.Pos = self.Pos - Offset * i/8 + Vector(RangeRand(-2,2),RangeRand(-2,2))
			Effect.Vel = (self.Vel + Vector(RangeRand(-10,30),RangeRand(-10,10))) / 20
			MovableMan:AddParticle(Effect)
	end



	if self.ToDelete == true or self.ToSettle == true then

		local velFactor = FrameMan.PPM * TimerMan.DeltaTimeSecs;
		local checkVect = self.Vel * velFactor;

    	local i = 0;

		while i < 1 do
    		local e = CreateMOPixel("Rifle Frag 1");
    		e.Vel = Vector(60,0):RadRotate(math.random()*(math.pi*2));
    		e.Pos = self.Pos + (checkVect * 0.6);
		e.Team = self.Team;
		e.IgnoresTeamHits = true;
    		MovableMan:AddMO(e);
    		i = i+1;
		end
		i = 0;
		while i < 2 do
    		local e = CreateMOPixel("Rifle Frag 2");
      		e.Vel = Vector(60,0):RadRotate(math.random()*(math.pi*2));
    		e.Pos = self.Pos + (checkVect * 0.6);
		e.Team = self.Team;
		e.IgnoresTeamHits = true;
    		MovableMan:AddMO(e);
    		i = i+1;
		end
		i = 0;

	    	local e = CreateMOSParticle("Fire Puff Small");
    		e.Vel.X = math.random(-4,4);
    		e.Vel.Y = math.random(-4,4);
    		e.Pos = self.Pos + (checkVect * 0.6);
    		MovableMan:AddMO(e);


	    	local e = CreateMOSParticle("Tiny Smoke Ball 1");
    		e.Vel.X = math.random(-5,5);
    		e.Vel.Y = math.random(-5,5);
    		e.Pos = self.Pos + (checkVect * 0.6);
    		MovableMan:AddMO(e);
    		i = i+1;

   
	    	local e = CreateMOSParticle("Small Smoke Ball 1");
    		e.Vel.X = math.random(-2,2);
    		e.Vel.Y = math.random(-2,2);
    		e.Pos = self.Pos + (checkVect * 0.6);
    		MovableMan:AddMO(e);


    		local e = CreateMOPixel("Glow Particle Yellow Small");
    		e.Vel.X = 0;
    		e.Vel.Y = 0;
    		e.Pos = self.Pos + (checkVect * 0.6);
    		MovableMan:AddMO(e);


	end
end